Subject: undefined reference to `__libc_global_ctors'

From: [email-masked]
Date: 2 Mar 2000 07:53:53 -0800

Dear All:

  I want to build an arm tool chain.

  So, I downladed source package of glibc2.1.2, gcc-2.95.2, 
  binutils-2.9.5.0.27 and linux kernel 2.2.14.

  And try to build a cross-platform version of them with
  a pentium machine running RedHat 6.0.
  The native version of gcc is egcs 1.1.2, glibc is glibc 2.0.x.

  After I successfully built binutils, gcc, and linux kernel,
  however, I encountered

  " ../elf/ld-linux.so.2: undefined reference to `__libc_global_ctors' "

  error messgae when I am building glibc for ARM!!
 
  What happened??
  Could anyone tell me how to solve this problem??

  Thanks!!
  kirk
  PS: Please reply to my e-mail account.

_______________________________________________________________
http://www.SINA.com - #1 Destination Site for Chinese Worldwide

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++